<script type="text/html" data-template-name="nvir-recognition">
  <div class="form-row">
    <label for="node-input-broker"><i class="fa fa-globe"></i> <span data-i18n="mqtt.label.broker"></span></label>
    <input type="text" id="node-input-broker">
  </div>
  <div class="form-row">
    <label for="node-input-remoteIP"><i class="fa fa-globe"></i> <span data-i18n="nvir-recognition.remote-ip"></span></label>
    <input type="text" id="node-input-remoteIP" placeholder="ip, e.g. 172.20.33.33">
  </div>
  <div class="form-row">
    <label for="node-input-epToken"><i class="fa fa-key"></i> <span data-i18n="nvir-recognition.ep-token"></span></label>
    <input type="text" id="node-input-epToken" placeholder="token, e.g. 123456789">
  </div>  
  <div class="form-row">
    <label for="node-input-name"><i class="fa fa-tag"></i> <span data-i18n="common.label.name"></span></label>
    <input type="text" id="node-input-name" data-i18n="[placeholder]common.label.name">
  </div>

</script>

<script type="text/javascript">
  RED.nodes.registerType('nvir-recognition', {
    category: 'nilvana',
    defaults: {
      name: {
        value: ""
      },
      topic: {
        value: "face/image",
        required: true,
        validate: RED.validators.regex(/^(#$|(\+|[^+#]*)(\/(\+|[^+#]*))*(\/(\+|#|[^+#]*))?$)/)
      },
      qos: {
        value: "1"
      },
      datatype: {
        value: "auto",
        required: true
      },
      broker: {
        // node-red core
        type: "mqtt-broker",
        required: true
      },
      remoteIP: {
        value: '',
        required: true,
        validate: RED.validators.regex(/^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/i)
      },
      epToken: {
        value: '',
        required: true,
        validate: RED.validators.regex(/^([a-z0-9]{9}$)/)
      }
    },
    color: "#f8a263",
    inputs: 0,
    outputs: 1,
    icon: "icons/icon-nodes-face-capture.png",
    label: function() {
      return this.name || "nvir recognition"
    },
    labelStyle: function() {
      return this.name ? "node_label_italic" : "";
    },
    oneditprepare: function() {
      if (this.qos === undefined) {
        $("#node-input-qos").val("1");
      }
      if (this.datatype === undefined) {
        $("#node-input-datatype").val("auto");
      }
    }
  });

</script>
